package ocelot.desktop.ui.event.handlers

import ocelot.desktop.ui.widget.Widget
import ocelot.desktop.util.Register

trait HoverHandler extends Widget {
  // must only be updated in UiHandler.
  val _mouseOver: Register.Writeable[Boolean] = Register.apply(false)

  def mouseOver: Boolean = _mouseOver.value
}
